Updated Version of Newsy's iPhone App - Requires iOS 4.0

December 19, 2010

We are pleased to offer the latest version of our iPhone app. The new version is compatible with iOS 4.2 and requires iOS 4.0.� Here's the link to download it for free: http://itunes.apple.com/us/app/newsy-multisource-video-news/id330879884?mt=8 Updating your iPhone with the latest iOS is easy and takes just a few moments. Watch this video to learn how so that you can be up to date and enjoy the newest version of the Newsy app as well as other great new apps from iTunes.

Updated Version of Newsy's iPhone App - Requires iOS 4.0 from NewsyVideos on Vimeo.